import * as SchemaTypes from '@workbench-stack/core';
import { DocumentNode } from 'graphql';
import * as ApolloReactCommon from '@apollo/react-common';
import * as ApolloReactHooks from '@apollo/react-hooks';
export declare const DefaultSettingFragmentDoc: DocumentNode;
export declare const SettingRangeFragmentDoc: DocumentNode;
export declare const TerminalConfigurationFragmentDoc: DocumentNode;
export declare const SearchConfigurationFragmentDoc: DocumentNode;
export declare const LanguagesConfigurationFragmentDoc: DocumentNode;
export declare const FilesConfigurationFragmentDoc: DocumentNode;
export declare const GitConfigurationFragmentDoc: DocumentNode;
export declare const WorkspaceConfigurationFragmentDoc: DocumentNode;
export declare const ViewerSettingsFragmentDoc: DocumentNode;
export declare const AllContextFragmentDoc: DocumentNode;
export declare const FinalConfigurationFragmentDoc: DocumentNode;
export declare const KeybindingItemFragmentDoc: DocumentNode;
export declare const KeybindingsFragmentDoc: DocumentNode;
export declare const pickItemFragmentDoc: DocumentNode;
export declare const selectedFragmentDoc: DocumentNode;
export declare const ResourceContextFragmentDoc: DocumentNode;
export declare const statusbarItemFragmentDoc: DocumentNode;
export declare const installDocument: DocumentNode;
export declare function useinstallMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export declare type installMutationHookResult = ReturnType<typeof useinstallMutation>;
export declare type installMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IinstallMutation>;
export declare type installMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export declare const providerDefinitionDocument: DocumentNode;
export declare function useproviderDefinitionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export declare type providerDefinitionMutationHookResult = ReturnType<typeof useproviderDefinitionMutation>;
export declare type providerDefinitionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IproviderDefinitionMutation>;
export declare type providerDefinitionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export declare const removeDocument: DocumentNode;
export declare function useremoveMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export declare type removeMutationHookResult = ReturnType<typeof useremoveMutation>;
export declare type removeMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IremoveMutation>;
export declare type removeMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export declare const ExtensionsByLimitDocument: DocumentNode;
export declare function useExtensionsByLimitQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare function useExtensionsByLimitLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare type ExtensionsByLimitQueryHookResult = ReturnType<typeof useExtensionsByLimitQuery>;
export declare type ExtensionsByLimitLazyQueryHookResult = ReturnType<typeof useExtensionsByLimitLazyQuery>;
export declare type ExtensionsByLimitQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare const ExtensionsDocument: DocumentNode;
export declare function useExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare function useExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare type ExtensionsQueryHookResult = ReturnType<typeof useExtensionsQuery>;
export declare type ExtensionsLazyQueryHookResult = ReturnType<typeof useExtensionsLazyQuery>;
export declare type ExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare const galleryExtensionDocument: DocumentNode;
export declare function usegalleryExtensionQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare function usegalleryExtensionLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare type galleryExtensionQueryHookResult = ReturnType<typeof usegalleryExtensionQuery>;
export declare type galleryExtensionLazyQueryHookResult = ReturnType<typeof usegalleryExtensionLazyQuery>;
export declare type galleryExtensionQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare const galleryDocument: DocumentNode;
export declare function usegalleryQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare function usegalleryLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare type galleryQueryHookResult = ReturnType<typeof usegalleryQuery>;
export declare type galleryLazyQueryHookResult = ReturnType<typeof usegalleryLazyQuery>;
export declare type galleryQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare const installedExtensionsDocument: DocumentNode;
export declare function useinstalledExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export declare function useinstalledExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export declare type installedExtensionsQueryHookResult = ReturnType<typeof useinstalledExtensionsQuery>;
export declare type installedExtensionsLazyQueryHookResult = ReturnType<typeof useinstalledExtensionsLazyQuery>;
export declare type installedExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export declare const ViewerSettingsDocument: DocumentNode;
export declare function useViewerSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare function useViewerSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare type ViewerSettingsQueryHookResult = ReturnType<typeof useViewerSettingsQuery>;
export declare type ViewerSettingsLazyQueryHookResult = ReturnType<typeof useViewerSettingsLazyQuery>;
export declare type ViewerSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare const GetConfigurationTargetDocument: DocumentNode;
export declare function useGetConfigurationTargetMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>;
export declare type GetConfigurationTargetMutationHookResult = ReturnType<typeof useGetConfigurationTargetMutation>;
export declare type GetConfigurationTargetMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IGetConfigurationTargetMutation>;
export declare type GetConfigurationTargetMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>;
export declare const OpenGlobalKeybindingsSettingsDocument: DocumentNode;
export declare function useOpenGlobalKeybindingsSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>;
export declare type OpenGlobalKeybindingsSettingsMutationHookResult = ReturnType<typeof useOpenGlobalKeybindingsSettingsMutation>;
export declare type OpenGlobalKeybindingsSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation>;
export declare type OpenGlobalKeybindingsSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>;
export declare const OpenPreferenceSettingsDocument: DocumentNode;
export declare function useOpenPreferenceSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>;
export declare type OpenPreferenceSettingsMutationHookResult = ReturnType<typeof useOpenPreferenceSettingsMutation>;
export declare type OpenPreferenceSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenPreferenceSettingsMutation>;
export declare type OpenPreferenceSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>;
export declare const ResetSettingDocument: DocumentNode;
export declare function useResetSettingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>;
export declare type ResetSettingMutationHookResult = ReturnType<typeof useResetSettingMutation>;
export declare type ResetSettingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IResetSettingMutation>;
export declare type ResetSettingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>;
export declare const saveUserSettingsDocument: DocumentNode;
export declare function usesaveUserSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export declare type saveUserSettingsMutationHookResult = ReturnType<typeof usesaveUserSettingsMutation>;
export declare type saveUserSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveUserSettingsMutation>;
export declare type saveUserSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export declare const saveWorkspaceSettingsDocument: DocumentNode;
export declare function usesaveWorkspaceSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export declare type saveWorkspaceSettingsMutationHookResult = ReturnType<typeof usesaveWorkspaceSettingsMutation>;
export declare type saveWorkspaceSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveWorkspaceSettingsMutation>;
export declare type saveWorkspaceSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export declare const SwitchSettingsDocument: DocumentNode;
export declare function useSwitchSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>;
export declare type SwitchSettingsMutationHookResult = ReturnType<typeof useSwitchSettingsMutation>;
export declare type SwitchSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISwitchSettingsMutation>;
export declare type SwitchSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>;
export declare const DefaultPreferencesDocument: DocumentNode;
export declare function useDefaultPreferencesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare function useDefaultPreferencesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare type DefaultPreferencesQueryHookResult = ReturnType<typeof useDefaultPreferencesQuery>;
export declare type DefaultPreferencesLazyQueryHookResult = ReturnType<typeof useDefaultPreferencesLazyQuery>;
export declare type DefaultPreferencesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare const DefaultSettingsDocument: DocumentNode;
export declare function useDefaultSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export declare function useDefaultSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export declare type DefaultSettingsQueryHookResult = ReturnType<typeof useDefaultSettingsQuery>;
export declare type DefaultSettingsLazyQueryHookResult = ReturnType<typeof useDefaultSettingsLazyQuery>;
export declare type DefaultSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export declare const FullConfigurationDocument: DocumentNode;
export declare function useFullConfigurationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare function useFullConfigurationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare type FullConfigurationQueryHookResult = ReturnType<typeof useFullConfigurationQuery>;
export declare type FullConfigurationLazyQueryHookResult = ReturnType<typeof useFullConfigurationLazyQuery>;
export declare type FullConfigurationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare const GetMostCommonlyUsedSettingsDocument: DocumentNode;
export declare function useGetMostCommonlyUsedSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>;
export declare function useGetMostCommonlyUsedSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>;
export declare type GetMostCommonlyUsedSettingsQueryHookResult = ReturnType<typeof useGetMostCommonlyUsedSettingsQuery>;
export declare type GetMostCommonlyUsedSettingsLazyQueryHookResult = ReturnType<typeof useGetMostCommonlyUsedSettingsLazyQuery>;
export declare type GetMostCommonlyUsedSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>;
export declare const WorkspacesDocument: DocumentNode;
export declare function useWorkspacesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare function useWorkspacesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare type WorkspacesQueryHookResult = ReturnType<typeof useWorkspacesQuery>;
export declare type WorkspacesLazyQueryHookResult = ReturnType<typeof useWorkspacesLazyQuery>;
export declare type WorkspacesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare const UpdateConfigurationValueDocument: DocumentNode;
export declare function useUpdateConfigurationValueMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>;
export declare type UpdateConfigurationValueMutationHookResult = ReturnType<typeof useUpdateConfigurationValueMutation>;
export declare type UpdateConfigurationValueMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateConfigurationValueMutation>;
export declare type UpdateConfigurationValueMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>;
export declare const CopyDocument: DocumentNode;
export declare function useCopyMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
export declare type CopyMutationHookResult = ReturnType<typeof useCopyMutation>;
export declare type CopyMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICopyMutation>;
export declare type CopyMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
export declare const RunMenuActionDocument: DocumentNode;
export declare function useRunMenuActionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
export declare type RunMenuActionMutationHookResult = ReturnType<typeof useRunMenuActionMutation>;
export declare type RunMenuActionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRunMenuActionMutation>;
export declare type RunMenuActionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
export declare const HideContextMenuDocument: DocumentNode;
export declare function useHideContextMenuMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
export declare type HideContextMenuMutationHookResult = ReturnType<typeof useHideContextMenuMutation>;
export declare type HideContextMenuMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHideContextMenuMutation>;
export declare type HideContextMenuMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
export declare const ShowContextMenuDocument: DocumentNode;
export declare function useShowContextMenuMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
export declare type ShowContextMenuMutationHookResult = ReturnType<typeof useShowContextMenuMutation>;
export declare type ShowContextMenuMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowContextMenuMutation>;
export declare type ShowContextMenuMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
export declare const CloseDialogDocument: DocumentNode;
export declare function useCloseDialogMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>;
export declare type CloseDialogMutationHookResult = ReturnType<typeof useCloseDialogMutation>;
export declare type CloseDialogMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICloseDialogMutation>;
export declare type CloseDialogMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>;
export declare const ShowDocument: DocumentNode;
export declare function useShowMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>;
export declare type ShowMutationHookResult = ReturnType<typeof useShowMutation>;
export declare type ShowMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowMutation>;
export declare type ShowMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>;
export declare const OpenEditorResourceInputDocument: DocumentNode;
export declare function useOpenEditorResourceInputMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>;
export declare type OpenEditorResourceInputMutationHookResult = ReturnType<typeof useOpenEditorResourceInputMutation>;
export declare type OpenEditorResourceInputMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorResourceInputMutation>;
export declare type OpenEditorResourceInputMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>;
export declare const OpenEditorDocument: DocumentNode;
export declare function useOpenEditorMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>;
export declare type OpenEditorMutationHookResult = ReturnType<typeof useOpenEditorMutation>;
export declare type OpenEditorMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorMutation>;
export declare type OpenEditorMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>;
export declare const JsonEditingWriteDocument: DocumentNode;
export declare function useJsonEditingWriteMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export declare type JsonEditingWriteMutationHookResult = ReturnType<typeof useJsonEditingWriteMutation>;
export declare type JsonEditingWriteMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IJsonEditingWriteMutation>;
export declare type JsonEditingWriteMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export declare const ChangeKeybindingDocument: DocumentNode;
export declare function useChangeKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>;
export declare type ChangeKeybindingMutationHookResult = ReturnType<typeof useChangeKeybindingMutation>;
export declare type ChangeKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IChangeKeybindingMutation>;
export declare type ChangeKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>;
export declare const ChangeWhenExpressionDocument: DocumentNode;
export declare function useChangeWhenExpressionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>;
export declare type ChangeWhenExpressionMutationHookResult = ReturnType<typeof useChangeWhenExpressionMutation>;
export declare type ChangeWhenExpressionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IChangeWhenExpressionMutation>;
export declare type ChangeWhenExpressionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>;
export declare const EditKeybindingDocument: DocumentNode;
export declare function useEditKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>;
export declare type EditKeybindingMutationHookResult = ReturnType<typeof useEditKeybindingMutation>;
export declare type EditKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IEditKeybindingMutation>;
export declare type EditKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>;
export declare const HideKeybindingDialogDocument: DocumentNode;
export declare function useHideKeybindingDialogMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>;
export declare type HideKeybindingDialogMutationHookResult = ReturnType<typeof useHideKeybindingDialogMutation>;
export declare type HideKeybindingDialogMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHideKeybindingDialogMutation>;
export declare type HideKeybindingDialogMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>;
export declare const LookupKeybindingDocument: DocumentNode;
export declare function useLookupKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>;
export declare type LookupKeybindingMutationHookResult = ReturnType<typeof useLookupKeybindingMutation>;
export declare type LookupKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ILookupKeybindingMutation>;
export declare type LookupKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>;
export declare const registerKeybindingDocument: DocumentNode;
export declare function useregisterKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>;
export declare type registerKeybindingMutationHookResult = ReturnType<typeof useregisterKeybindingMutation>;
export declare type registerKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IregisterKeybindingMutation>;
export declare type registerKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>;
export declare const RemoveKeybindingDocument: DocumentNode;
export declare function useRemoveKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>;
export declare type RemoveKeybindingMutationHookResult = ReturnType<typeof useRemoveKeybindingMutation>;
export declare type RemoveKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRemoveKeybindingMutation>;
export declare type RemoveKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>;
export declare const ResetKeybindingDocument: DocumentNode;
export declare function useResetKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>;
export declare type ResetKeybindingMutationHookResult = ReturnType<typeof useResetKeybindingMutation>;
export declare type ResetKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IResetKeybindingMutation>;
export declare type ResetKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>;
export declare const ResolveKeyboardEventDocument: DocumentNode;
export declare function useResolveKeyboardEventMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>;
export declare type ResolveKeyboardEventMutationHookResult = ReturnType<typeof useResolveKeyboardEventMutation>;
export declare type ResolveKeyboardEventMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IResolveKeyboardEventMutation>;
export declare type ResolveKeyboardEventMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>;
export declare const SearchKeybindingDocument: DocumentNode;
export declare function useSearchKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>;
export declare type SearchKeybindingMutationHookResult = ReturnType<typeof useSearchKeybindingMutation>;
export declare type SearchKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISearchKeybindingMutation>;
export declare type SearchKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>;
export declare const SetSelectedKeybindingIndexDocument: DocumentNode;
export declare function useSetSelectedKeybindingIndexMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>;
export declare type SetSelectedKeybindingIndexMutationHookResult = ReturnType<typeof useSetSelectedKeybindingIndexMutation>;
export declare type SetSelectedKeybindingIndexMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetSelectedKeybindingIndexMutation>;
export declare type SetSelectedKeybindingIndexMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>;
export declare const StopEditWhenExpressionDocument: DocumentNode;
export declare function useStopEditWhenExpressionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>;
export declare type StopEditWhenExpressionMutationHookResult = ReturnType<typeof useStopEditWhenExpressionMutation>;
export declare type StopEditWhenExpressionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IStopEditWhenExpressionMutation>;
export declare type StopEditWhenExpressionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>;
export declare const AddNotificationDocument: DocumentNode;
export declare function useAddNotificationMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>;
export declare type AddNotificationMutationHookResult = ReturnType<typeof useAddNotificationMutation>;
export declare type AddNotificationMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IAddNotificationMutation>;
export declare type AddNotificationMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>;
export declare const CloseNotificationDocument: DocumentNode;
export declare function useCloseNotificationMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>;
export declare type CloseNotificationMutationHookResult = ReturnType<typeof useCloseNotificationMutation>;
export declare type CloseNotificationMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICloseNotificationMutation>;
export declare type CloseNotificationMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>;
export declare const HandlerDocument: DocumentNode;
export declare function useHandlerMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>;
export declare type HandlerMutationHookResult = ReturnType<typeof useHandlerMutation>;
export declare type HandlerMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHandlerMutation>;
export declare type HandlerMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>;
export declare const OpenEditorFileDocument: DocumentNode;
export declare function useOpenEditorFileMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export declare type OpenEditorFileMutationHookResult = ReturnType<typeof useOpenEditorFileMutation>;
export declare type OpenEditorFileMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorFileMutation>;
export declare type OpenEditorFileMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export declare const HideInputModelDocument: DocumentNode;
export declare function useHideInputModelMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>;
export declare type HideInputModelMutationHookResult = ReturnType<typeof useHideInputModelMutation>;
export declare type HideInputModelMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHideInputModelMutation>;
export declare type HideInputModelMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>;
export declare const SetSelectedDocument: DocumentNode;
export declare function useSetSelectedMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>;
export declare type SetSelectedMutationHookResult = ReturnType<typeof useSetSelectedMutation>;
export declare type SetSelectedMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetSelectedMutation>;
export declare type SetSelectedMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>;
export declare const ShowInputDocument: DocumentNode;
export declare function useShowInputMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>;
export declare type ShowInputMutationHookResult = ReturnType<typeof useShowInputMutation>;
export declare type ShowInputMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowInputMutation>;
export declare type ShowInputMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>;
export declare const ShowPickInputDocument: DocumentNode;
export declare function useShowPickInputMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>;
export declare type ShowPickInputMutationHookResult = ReturnType<typeof useShowPickInputMutation>;
export declare type ShowPickInputMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowPickInputMutation>;
export declare type ShowPickInputMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>;
export declare const AddEntryDocument: DocumentNode;
export declare function useAddEntryMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>;
export declare type AddEntryMutationHookResult = ReturnType<typeof useAddEntryMutation>;
export declare type AddEntryMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IAddEntryMutation>;
export declare type AddEntryMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>;
export declare const RemoveStatusbarEntryDocument: DocumentNode;
export declare function useRemoveStatusbarEntryMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>;
export declare type RemoveStatusbarEntryMutationHookResult = ReturnType<typeof useRemoveStatusbarEntryMutation>;
export declare type RemoveStatusbarEntryMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRemoveStatusbarEntryMutation>;
export declare type RemoveStatusbarEntryMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>;
export declare const SetStatusMessageDocument: DocumentNode;
export declare function useSetStatusMessageMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>;
export declare type SetStatusMessageMutationHookResult = ReturnType<typeof useSetStatusMessageMutation>;
export declare type SetStatusMessageMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetStatusMessageMutation>;
export declare type SetStatusMessageMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>;
export declare const UpdateStatusbarEntryDocument: DocumentNode;
export declare function useUpdateStatusbarEntryMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>;
export declare type UpdateStatusbarEntryMutationHookResult = ReturnType<typeof useUpdateStatusbarEntryMutation>;
export declare type UpdateStatusbarEntryMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateStatusbarEntryMutation>;
export declare type UpdateStatusbarEntryMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>;
export declare const FinalConfiguration_WSDocument: DocumentNode;
export declare function useFinalConfiguration_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export declare function useFinalConfiguration_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export declare type FinalConfiguration_WSQueryHookResult = ReturnType<typeof useFinalConfiguration_WSQuery>;
export declare type FinalConfiguration_WSLazyQueryHookResult = ReturnType<typeof useFinalConfiguration_WSLazyQuery>;
export declare type FinalConfiguration_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export declare const GetContextDocument: DocumentNode;
export declare function useGetContextQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export declare function useGetContextLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export declare type GetContextQueryHookResult = ReturnType<typeof useGetContextQuery>;
export declare type GetContextLazyQueryHookResult = ReturnType<typeof useGetContextLazyQuery>;
export declare type GetContextQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export declare const ContextMenuDocument: DocumentNode;
export declare function useContextMenuQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>;
export declare function useContextMenuLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>;
export declare type ContextMenuQueryHookResult = ReturnType<typeof useContextMenuQuery>;
export declare type ContextMenuLazyQueryHookResult = ReturnType<typeof useContextMenuLazyQuery>;
export declare type ContextMenuQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>;
export declare const DialogDocument: DocumentNode;
export declare function useDialogQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>;
export declare function useDialogLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>;
export declare type DialogQueryHookResult = ReturnType<typeof useDialogQuery>;
export declare type DialogLazyQueryHookResult = ReturnType<typeof useDialogLazyQuery>;
export declare type DialogQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>;
export declare const showDialogDocument: DocumentNode;
export declare function useshowDialogQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>;
export declare function useshowDialogLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>;
export declare type showDialogQueryHookResult = ReturnType<typeof useshowDialogQuery>;
export declare type showDialogLazyQueryHookResult = ReturnType<typeof useshowDialogLazyQuery>;
export declare type showDialogQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>;
export declare const GetKeybindingsDocument: DocumentNode;
export declare function useGetKeybindingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>;
export declare function useGetKeybindingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>;
export declare type GetKeybindingsQueryHookResult = ReturnType<typeof useGetKeybindingsQuery>;
export declare type GetKeybindingsLazyQueryHookResult = ReturnType<typeof useGetKeybindingsLazyQuery>;
export declare type GetKeybindingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>;
export declare const KeybindingContextMenuDocument: DocumentNode;
export declare function useKeybindingContextMenuQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>;
export declare function useKeybindingContextMenuLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>;
export declare type KeybindingContextMenuQueryHookResult = ReturnType<typeof useKeybindingContextMenuQuery>;
export declare type KeybindingContextMenuLazyQueryHookResult = ReturnType<typeof useKeybindingContextMenuLazyQuery>;
export declare type KeybindingContextMenuQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>;
export declare const KeybindingsDocument: DocumentNode;
export declare function useKeybindingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>;
export declare function useKeybindingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>;
export declare type KeybindingsQueryHookResult = ReturnType<typeof useKeybindingsQuery>;
export declare type KeybindingsLazyQueryHookResult = ReturnType<typeof useKeybindingsLazyQuery>;
export declare type KeybindingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>;
export declare const NotificationsDocument: DocumentNode;
export declare function useNotificationsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>;
export declare function useNotificationsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>;
export declare type NotificationsQueryHookResult = ReturnType<typeof useNotificationsQuery>;
export declare type NotificationsLazyQueryHookResult = ReturnType<typeof useNotificationsLazyQuery>;
export declare type NotificationsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>;
export declare const showNotificationDocument: DocumentNode;
export declare function useshowNotificationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>;
export declare function useshowNotificationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>;
export declare type showNotificationQueryHookResult = ReturnType<typeof useshowNotificationQuery>;
export declare type showNotificationLazyQueryHookResult = ReturnType<typeof useshowNotificationLazyQuery>;
export declare type showNotificationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>;
export declare const GetSelectedValueDocument: DocumentNode;
export declare function useGetSelectedValueQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>;
export declare function useGetSelectedValueLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>;
export declare type GetSelectedValueQueryHookResult = ReturnType<typeof useGetSelectedValueQuery>;
export declare type GetSelectedValueLazyQueryHookResult = ReturnType<typeof useGetSelectedValueLazyQuery>;
export declare type GetSelectedValueQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>;
export declare const QuickInputModelDocument: DocumentNode;
export declare function useQuickInputModelQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>;
export declare function useQuickInputModelLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>;
export declare type QuickInputModelQueryHookResult = ReturnType<typeof useQuickInputModelQuery>;
export declare type QuickInputModelLazyQueryHookResult = ReturnType<typeof useQuickInputModelLazyQuery>;
export declare type QuickInputModelQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>;
export declare const StatusbarDocument: DocumentNode;
export declare function useStatusbarQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>;
export declare function useStatusbarLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>;
export declare type StatusbarQueryHookResult = ReturnType<typeof useStatusbarQuery>;
export declare type StatusbarLazyQueryHookResult = ReturnType<typeof useStatusbarLazyQuery>;
export declare type StatusbarQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>;
export declare const GetViewsDocument: DocumentNode;
export declare function useGetViewsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export declare function useGetViewsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export declare type GetViewsQueryHookResult = ReturnType<typeof useGetViewsQuery>;
export declare type GetViewsLazyQueryHookResult = ReturnType<typeof useGetViewsLazyQuery>;
export declare type GetViewsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export declare const GetWorkspaceDocument: DocumentNode;
export declare function useGetWorkspaceQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
export declare function useGetWorkspaceLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
export declare type GetWorkspaceQueryHookResult = ReturnType<typeof useGetWorkspaceQuery>;
export declare type GetWorkspaceLazyQueryHookResult = ReturnType<typeof useGetWorkspaceLazyQuery>;
export declare type GetWorkspaceQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
