import * as React from 'react';
import { IStatusbarItem } from '@workbench-stack/core';
export declare type IStatusbarItemComponentProps = {
    item: IStatusbarItem;
    visibleItemId: string;
};
export declare type IStatusbarItemSlotProps = {
    item: IStatusbarItem;
};
export declare const ItemContributionFill: {
    (props: IStatusbarItemComponentProps | {
        children: (api: IStatusbarItemComponentProps) => React.ReactNode;
    } | {
        render: (api: IStatusbarItemComponentProps) => React.ReactNode;
    }): JSX.Element;
    displayName: string;
}, ItemSlot: {
    (props: {
        fillProps: IStatusbarItemComponentProps;
    }): JSX.Element;
    displayName: string;
};
export declare const StatusbarItem: React.FC<IStatusbarItemSlotProps>;
