import { ICloseEditorsFilter, IEditorInput, IEditorGroup, IMoveEditorOptions, EditorInput, IEditorGroupView, ICloseOptions } from '@workbench-stack/core';
import { IEditorOptions } from '@vscode/monaco-editor/esm/vs/platform/editor/common/editor';
export declare function openEditor(editor: IEditorInput, { editors, groups }: IEditorGroupView, options?: IEditorOptions): {
    editors: IEditorInput[];
    groups: IEditorGroup[];
};
export declare function moveEditorInsideGroup(editor: IEditorInput, editors: IEditorInput[], moveOptions?: IMoveEditorOptions): IEditorInput[];
export declare function openEditors(editors: {
    editor: IEditorInput;
    options?: IEditorOptions;
}[], { editors: stateEditors, groups }: IEditorGroupView): {
    editor: IEditorInput;
    options?: IEditorOptions;
}[] | {
    editors: IEditorInput[];
    groups: IEditorGroup[];
};
export declare function getEditorsToClose(editors: EditorInput[] | ICloseEditorsFilter, openedEditors: IEditorInput[]): IEditorInput[];
export declare function closeEditors(editors: EditorInput[], { editors: editorsState, groups }: IEditorGroupView, options?: ICloseOptions): {
    editors: IEditorInput[];
    groups: IEditorGroup[];
};
export declare function closeInActiveEditor(editor: EditorInput, editors: IEditorInput[]): IEditorInput[];
