import { Event } from '@vscode/monaco-editor/esm/vs/base/common/event';
import { IEditorModel } from '@vscode/monaco-editor/esm/vs/platform/editor/common/editor';
import { Disposable } from '@workbench-stack/core';
export interface IModeSupport {
    setMode(mode: string): void;
}
export declare class EditorModel extends Disposable implements IEditorModel {
    private readonly _onDispose;
    get onDispose(): Event<void>;
    load(): Promise<IEditorModel>;
    isResolved(): boolean;
    dispose(): void;
}
