import { Event } from '@vscode/monaco-editor/esm/vs/base/common/event';
import { Disposable } from '@vscode/monaco-editor/esm/vs/base/common/lifecycle';
import { ICommandService, ICommandEvent } from '@workbench-stack/core';
export declare class CommandService extends Disposable implements ICommandService {
    _serviceBrand: undefined;
    private _extensionHostIsReady;
    private _starActivation;
    private readonly _onWillExecuteCommand;
    readonly onWillExecuteCommand: Event<ICommandEvent>;
    private readonly _onDidExecuteCommand;
    readonly onDidExecuteCommand: Event<ICommandEvent>;
    constructor();
    private _activateStar;
    executeCommand<T>(id: string, ...args: any[]): Promise<T>;
    private _tryExecuteCommand;
}
