import { IDialog, IDialogService } from '@workbench-stack/core';
import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
export declare class DialogService implements IDialogService {
    protected client: ApolloClient<any>;
    protected cache: InMemoryCache;
    constructor(client: ApolloClient<any>, cache: InMemoryCache);
    show(dialog: IDialog): boolean;
    closeDialog(): boolean;
}
