import { Keybinding, ResolvedKeybinding, SimpleKeybinding } from '@vscode/monaco-editor/esm/vs/base/common/keyCodes';
import { ScanCodeBinding } from '@vscode/monaco-editor/esm/vs/base/common/scanCode';
import { IKeyboardEvent } from '@vscode/monaco-editor/esm/vs/platform/keybinding/common/keybinding';
import { IKeyboardMapper } from '@workbench-stack/core';
export declare class CachedKeyboardMapper implements IKeyboardMapper {
    private _actual;
    private _cache;
    constructor(actual: IKeyboardMapper);
    dumpDebugInfo(): string;
    resolveKeybinding(keybinding: Keybinding): ResolvedKeybinding[];
    resolveKeyboardEvent(keyboardEvent: IKeyboardEvent): ResolvedKeybinding;
    resolveUserBinding(parts: (SimpleKeybinding | ScanCodeBinding)[]): ResolvedKeybinding[];
}
