# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [0.0.27-alpha.302](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.301...v0.0.27-alpha.302) (2020-09-02)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.301](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.300...v0.0.27-alpha.301) (2020-09-02)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.300](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.299...v0.0.27-alpha.300) (2020-09-01)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.299](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.298...v0.0.27-alpha.299) (2020-08-31)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.298](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.297...v0.0.27-alpha.298) (2020-08-28)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.297](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.296...v0.0.27-alpha.297) (2020-08-26)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.296](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.295...v0.0.27-alpha.296) (2020-08-26)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.295](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.294...v0.0.27-alpha.295) (2020-08-25)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.293](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.292...v0.0.27-alpha.293) (2020-08-20)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.292](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.291...v0.0.27-alpha.292) (2020-08-19)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.291](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.290...v0.0.27-alpha.291) (2020-08-18)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.290](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.289...v0.0.27-alpha.290) (2020-08-17)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.289](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.288...v0.0.27-alpha.289) (2020-08-13)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.288](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.287...v0.0.27-alpha.288) (2020-08-12)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.287](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.286...v0.0.27-alpha.287) (2020-08-11)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.285](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.284...v0.0.27-alpha.285) (2020-08-08)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.284](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.283...v0.0.27-alpha.284) (2020-08-05)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.280](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.279...v0.0.27-alpha.280) (2020-07-30)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.278](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.277...v0.0.27-alpha.278) (2020-07-30)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.277](https://github.com/cdmbase/workbench-stack/compare/v0.0.17-15...v0.0.27-alpha.277) (2020-07-30)


### Bug Fixes

* **fixes the multi rendering of monaco editor component otherwise EditorInput changes will cause rerender in MonacoComponent:** Fixes rerender ([a3d3adf](https://github.com/cdmbase/workbench-stack/commit/a3d3adf617c444ad479aa7181e47b781fca65a41)), closes [#260](https://github.com/cdmbase/workbench-stack/issues/260)


### Code Refactoring

* **improve Editor Component and IDE Context:** Dynamic Editor selection based on input ([e25aed7](https://github.com/cdmbase/workbench-stack/commit/e25aed7304ba5f80606cfb1323fda9e445002e7e)), closes [#256](https://github.com/cdmbase/workbench-stack/issues/256)
* **merge @workbench-stack/theme to @workbench-stack/components:** reduce number of components ([95117f2](https://github.com/cdmbase/workbench-stack/commit/95117f25e70aa85fb09455e3010dc5fd322251f2))


### BREAKING CHANGES

* **improve Editor Component and IDE Context:** `@workbench-stack/monaco-module-browser`, `@workbench-stack/monaco-module-server` are removed. Instead use `@workbench-stack/components` for similar feature. Or use `Editor` component from `@workbench-stack/module-browser` which is more enhanced with multiple features.
* **merge @workbench-stack/theme to @workbench-stack/components:** `@workbench-stack/themes` won't work anymore. Use `@workbench-stack/components`





## [0.0.27-alpha.276](https://github.com/cdmbase/workbench-stack/compare/v0.0.17-15...v0.0.27-alpha.276) (2020-07-30)


### Bug Fixes

* **fixes the multi rendering of monaco editor component otherwise EditorInput changes will cause rerender in MonacoComponent:** Fixes rerender ([a3d3adf](https://github.com/cdmbase/workbench-stack/commit/a3d3adf617c444ad479aa7181e47b781fca65a41)), closes [#260](https://github.com/cdmbase/workbench-stack/issues/260)


### Code Refactoring

* **improve Editor Component and IDE Context:** Dynamic Editor selection based on input ([e25aed7](https://github.com/cdmbase/workbench-stack/commit/e25aed7304ba5f80606cfb1323fda9e445002e7e)), closes [#256](https://github.com/cdmbase/workbench-stack/issues/256)
* **merge @workbench-stack/theme to @workbench-stack/components:** reduce number of components ([95117f2](https://github.com/cdmbase/workbench-stack/commit/95117f25e70aa85fb09455e3010dc5fd322251f2))


### BREAKING CHANGES

* **improve Editor Component and IDE Context:** `@workbench-stack/monaco-module-browser`, `@workbench-stack/monaco-module-server` are removed. Instead use `@workbench-stack/components` for similar feature. Or use `Editor` component from `@workbench-stack/module-browser` which is more enhanced with multiple features.
* **merge @workbench-stack/theme to @workbench-stack/components:** `@workbench-stack/themes` won't work anymore. Use `@workbench-stack/components`





## [0.0.27-alpha.274](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.273...v0.0.27-alpha.274) (2020-07-30)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.272](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.271...v0.0.27-alpha.272) (2020-07-29)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.271](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.270...v0.0.27-alpha.271) (2020-07-28)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.268](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.267...v0.0.27-alpha.268) (2020-07-27)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.267](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.266...v0.0.27-alpha.267) (2020-07-26)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.266](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.265...v0.0.27-alpha.266) (2020-07-25)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.264](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.263...v0.0.27-alpha.264) (2020-07-24)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.260](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.259...v0.0.27-alpha.260) (2020-07-17)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.259](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.258...v0.0.27-alpha.259) (2020-07-15)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.258](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.257...v0.0.27-alpha.258) (2020-07-09)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.257](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.256...v0.0.27-alpha.257) (2020-07-08)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.255](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.254...v0.0.27-alpha.255) (2020-07-07)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.254](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.253...v0.0.27-alpha.254) (2020-07-06)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.253](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.252...v0.0.27-alpha.253) (2020-07-03)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.252](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.251...v0.0.27-alpha.252) (2020-07-03)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.251](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.250...v0.0.27-alpha.251) (2020-07-02)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.250](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.249...v0.0.27-alpha.250) (2020-07-01)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.249](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.248...v0.0.27-alpha.249) (2020-06-30)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.248](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.247...v0.0.27-alpha.248) (2020-06-30)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.247](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.246...v0.0.27-alpha.247) (2020-06-24)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.244](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.243...v0.0.27-alpha.244) (2020-06-22)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.243](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.242...v0.0.27-alpha.243) (2020-06-22)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.241](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.240...v0.0.27-alpha.241) (2020-06-14)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.240](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.239...v0.0.27-alpha.240) (2020-06-09)

**Note:** Version bump only for package @workbench-stack/module-browser





## [0.0.27-alpha.239](https://github.com/cdmbase/workbench-stack/compare/v0.0.17-15...v0.0.27-alpha.239) (2020-06-07)


### Bug Fixes

* **fixes the multi rendering of monaco editor component otherwise EditorInput changes will cause rerender in MonacoComponent:** Fixes rerender ([a3d3adf](https://github.com/cdmbase/workbench-stack/commit/a3d3adf617c444ad479aa7181e47b781fca65a41)), closes [#260](https://github.com/cdmbase/workbench-stack/issues/260)


### Code Refactoring

* **improve Editor Component and IDE Context:** Dynamic Editor selection based on input ([e25aed7](https://github.com/cdmbase/workbench-stack/commit/e25aed7304ba5f80606cfb1323fda9e445002e7e)), closes [#256](https://github.com/cdmbase/workbench-stack/issues/256)
* **merge @workbench-stack/theme to @workbench-stack/components:** reduce number of components ([95117f2](https://github.com/cdmbase/workbench-stack/commit/95117f25e70aa85fb09455e3010dc5fd322251f2))


### BREAKING CHANGES

* **improve Editor Component and IDE Context:** `@workbench-stack/monaco-module-browser`, `@workbench-stack/monaco-module-server` are removed. Instead use `@workbench-stack/components` for similar feature. Or use `Editor` component from `@workbench-stack/module-browser` which is more enhanced with multiple features.
* **merge @workbench-stack/theme to @workbench-stack/components:** `@workbench-stack/themes` won't work anymore. Use `@workbench-stack/components`





## [0.0.27-alpha.238](https://github.com/cdmbase/workbench-stack/compare/v0.0.17-15...v0.0.27-alpha.238) (2020-06-07)


### Bug Fixes

* **fixes the multi rendering of monaco editor component otherwise EditorInput changes will cause rerender in MonacoComponent:** Fixes rerender ([a3d3adf](https://github.com/cdmbase/workbench-stack/commit/a3d3adf617c444ad479aa7181e47b781fca65a41)), closes [#260](https://github.com/cdmbase/workbench-stack/issues/260)


### Code Refactoring

* **improve Editor Component and IDE Context:** Dynamic Editor selection based on input ([e25aed7](https://github.com/cdmbase/workbench-stack/commit/e25aed7304ba5f80606cfb1323fda9e445002e7e)), closes [#256](https://github.com/cdmbase/workbench-stack/issues/256)
* **merge @workbench-stack/theme to @workbench-stack/components:** reduce number of components ([95117f2](https://github.com/cdmbase/workbench-stack/commit/95117f25e70aa85fb09455e3010dc5fd322251f2))


### BREAKING CHANGES

* **improve Editor Component and IDE Context:** `@workbench-stack/monaco-module-browser`, `@workbench-stack/monaco-module-server` are removed. Instead use `@workbench-stack/components` for similar feature. Or use `Editor` component from `@workbench-stack/module-browser` which is more enhanced with multiple features.
* **merge @workbench-stack/theme to @workbench-stack/components:** `@workbench-stack/themes` won't work anymore. Use `@workbench-stack/components`
