import { IStorageService } from '@workbench-stack/core';
export declare class StorageService implements IStorageService {
    constructor();
    initialize(payload: any): Promise<void>;
    get(key: any, scope: any, fallbackValue?: string): string | undefined;
    getBoolean(key: any, scope: any, fallbackValue?: boolean): boolean;
    getInteger(key: any, scope: any, defaultValue?: number): number;
    store(key: string, value: string | boolean | number | undefined | null, scope: any): void;
    remove(key: string, scope: any): void;
    migrate(toWorkspace: any): Promise<void>;
    flush(): void;
    close(): void;
    dispose(): void;
}
